package com.pj.tb_order_people_confirm;

import java.util.List;

import com.pj.tb_people.MethodPeopleService;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

/**
 * Service: tb_order_people_confirm -- 便民确认订单监听表
 * @author yzs
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbOrderPeopleConfirmService extends ServiceImpl<TbOrderPeopleConfirmMapper, TbOrderPeopleConfirm> implements IService<TbOrderPeopleConfirm>{

	@Autowired
	private MethodPeopleService methodPeopleService;

	/** 底层 Mapper 对象 */
	@Autowired
	TbOrderPeopleConfirmMapper tbOrderPeopleConfirmMapper;

	/** 增 */
	void add(TbOrderPeopleConfirm t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbOrderPeopleConfirm t){
		updateById(t);

	}

	/** 查 */
	TbOrderPeopleConfirm getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<TbOrderPeopleConfirm> getList(SoMap so) {
		return tbOrderPeopleConfirmMapper.getList(so);
	}

}
